Subject: Re: bug#1425: Longlines mode not preserving text properties
From: Chong Yidong <[email-masked]>
To: "Peter Seibel" <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Nov 2012 14:58:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"Peter Seibel" <[email-masked]> writes:

> I have some code that applies text properties via the
> write-region-annotate-functions and after-insert-file-functions
> mechanism in a major mode that also uses longlines-mode. When my text
> properties span a soft newline longlines mode doesn't preserve them
> when it converts spaces to newlines and back.
>
> The following patch seems to fix my problem but perhaps someone who
> groks longlines mode could come up with a more elegant solution.

Longlines mode has been quasi-obsoleted by Visual Line mode since this
bug was files (and soon to be formally obsoleted), but I've committed a
tweaked version of this patch that doesn't use ldiff.  Thanks.